# PCCompositeSetUseTrue

Sets a flag to indicate that the true matrix (rather than the matrix used to define the preconditioner) is used to compute the residual when the multiplicative scheme is used.

### Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCCompositeSetUseTrue(PC pc)

Collective on PC

### Input Parameters

pc -the preconditioner context

### Options Database Key

-pc_composite_true -Activates PCCompositeSetUseTrue()

### Note

For the common case in which the preconditioning and linear system matrices are identical, this routine is unnecessary.

### Keywords

PC, composite preconditioner, set, true, flag

### See Also

PCSetOperators(), PCBJacobiSetUseTrueLocal(), PCKSPSetUseTrue()

Level:Developer
Location: src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages